%define version 0.10.7
%define subrel	3
%define release %mkrel 3
%define         _glib2          2.2
%define major 0.10
%define majorminor 0.10
%define bname gstreamer0.10
%define name %bname-plugins-good

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%name
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		Sound
Source: 	http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-%{version}.tar.bz2
Patch0:		gstreamer-plugins-good-0.10.6-CVE-2008-1696.patch
Patch1:		gstreamer0.10-plugins-good-CVE-2009-0397.patch
Patch2:		gst-plugins-good-0.10.7-CVE-2009-1932.diff
URL:            http://gstreamer.freedesktop.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root 
#gw for the pixbuf plugin
BuildRequires:  gtk+2-devel
BuildRequires:  glib2-devel >= %_glib2 
BuildRequires: libpng-devel >= 1.2.4-4mdk
BuildRequires: libjpeg-devel
BuildRequires: liboil-devel >= 0.3.2
BuildRequires: libvorbis-devel >= 1.0-4mdk
BuildRequires: libtheora-devel
BuildRequires: libshout-devel
BuildRequires: taglib-devel
BuildRequires: hal-devel >= 0.5.6
%ifarch %ix86
BuildRequires: nasm => 0.90
%endif
BuildRequires: valgrind libcheck-devel
BuildRequires: libgstreamer-plugins-base-devel >= 0.10.9
BuildRequires: gstreamer0.10-plugins-base
BuildRequires: libmesaglu-devel
BuildRequires: libGConf2-devel
BuildRequires: libcdio-devel
Provides:	%bname-audiosrc
Provides:	%bname-audiosink
# some plugins moved from bad to good with release 0.10.7
Conflicts: gstreamer0.10-plugins-bad < 0.10.6

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that are considered to have
good quality code, correct functionality, the preferred license (LGPL
for the plug-in code, LGPL or LGPL-compatible for the supporting
library). People writing elements should base their code on these
elements.

%prep
%setup -q -n gst-plugins-good-%{version}
%patch0 -p1 -b .cve-2008-1686
%patch1 -p1 -b .CVE-2009-0397
%patch2 -p0 -b .CVE-2009-1932

%build
%configure2_5x  \
  --with-package-name='Mandriva %name package' \
  --with-package-origin='http://www.mandriva.com/' \
  --disable-dependency-tracking   --enable-experimental

%check
cd tests/check
#gw wavpackenc fails
#make check

%install
rm -rf %buildroot gst-plugins-base-%majorminor.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang gst-plugins-good-%majorminor
# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

#blino remove development doc since we don't ship devel files
rm -rf $RPM_BUILD_ROOT%{_docdir}/docs/plugins/html

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas gstreamer-0.10

%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f gst-plugins-good-%majorminor.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%_sysconfdir/gconf/schemas/gstreamer-%majorminor.schemas
%_libdir/gstreamer-%majorminor/libgstalaw.so
%_libdir/gstreamer-%majorminor/libgstannodex.so
%_libdir/gstreamer-%majorminor/libgstalpha.so
%_libdir/gstreamer-%majorminor/libgstalphacolor.so
%_libdir/gstreamer-%majorminor/libgstapetag.so
%_libdir/gstreamer-%majorminor/libgstaudiofx.so
%_libdir/gstreamer-%majorminor/libgstauparse.so
%_libdir/gstreamer-%majorminor/libgstautodetect.so
%_libdir/gstreamer-%majorminor/libgstavi.so
%_libdir/gstreamer-%majorminor/libgstcairo.so
%_libdir/gstreamer-%majorminor/libgstcdio.so
%_libdir/gstreamer-%majorminor/libgstcutter.so
%_libdir/gstreamer-%majorminor/libgstdebug.so
%_libdir/gstreamer-%majorminor/libgstefence.so
%_libdir/gstreamer-%majorminor/libgsteffectv.so
%_libdir/gstreamer-%majorminor/libgstequalizer.so
%_libdir/gstreamer-%majorminor/libgstflxdec.so
%_libdir/gstreamer-%majorminor/libgstgamma.so
%_libdir/gstreamer-%majorminor/libgstgconfelements.so
%_libdir/gstreamer-%majorminor/libgstgdkpixbuf.so
%_libdir/gstreamer-%majorminor/libgstgoom.so
%_libdir/gstreamer-%majorminor/libgsthalelements.so
%_libdir/gstreamer-%majorminor/libgsticydemux.so
%_libdir/gstreamer-%majorminor/libgstid3demux.so
%_libdir/gstreamer-%majorminor/libgstjpeg.so
%_libdir/gstreamer-%majorminor/libgstlevel.so
%_libdir/gstreamer-%majorminor/libgstmatroska.so
%_libdir/gstreamer-%majorminor/libgstmonoscope.so
%_libdir/gstreamer-%majorminor/libgstmulaw.so
%_libdir/gstreamer-%majorminor/libgstmultifile.so
%_libdir/gstreamer-%majorminor/libgstmultipart.so
%_libdir/gstreamer-%majorminor/libgstnavigationtest.so
%_libdir/gstreamer-%majorminor/libgstossaudio.so
%_libdir/gstreamer-%majorminor/libgstpng.so
%_libdir/gstreamer-%majorminor/libgstqtdemux.so
%_libdir/gstreamer-%majorminor/libgstrtp.so
%_libdir/gstreamer-%majorminor/libgstrtsp.so
%_libdir/gstreamer-%majorminor/libgstshout2.so
%_libdir/gstreamer-%majorminor/libgstsmpte.so
%_libdir/gstreamer-%majorminor/libgstspectrum.so
%_libdir/gstreamer-%majorminor/libgsttaglib.so
%_libdir/gstreamer-%majorminor/libgstudp.so
%_libdir/gstreamer-%majorminor/libgstvideo4linux2.so
%_libdir/gstreamer-%majorminor/libgstvideobalance.so
%_libdir/gstreamer-%majorminor/libgstvideobox.so
%_libdir/gstreamer-%majorminor/libgstvideocrop.so
%_libdir/gstreamer-%majorminor/libgstvideoflip.so
%_libdir/gstreamer-%majorminor/libgstvideomixer.so
%_libdir/gstreamer-%majorminor/libgstwavenc.so
%_libdir/gstreamer-%majorminor/libgstwavparse.so
%_libdir/gstreamer-%majorminor/libgstximagesrc.so

### LIBDV ###
%package -n %bname-dv
Summary:       GStreamer DV plug-in
Group:         Video
Requires:      %bname-plugins >= %{version}
BuildRequires: libdv-devel >= 0.98

%description -n %bname-dv
Plug-in for digital video support using libdv.

%files -n %bname-dv
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdv.so

%package -n %bname-speex
Summary: Gstreamer plugin for encoding and decoding Ogg Speex audio files
Group: Sound
Requires: %bname-plugins >= %{version}-%release
BuildRequires: libspeex-devel 

%description -n %bname-speex
Plug-Ins for creating and playing Ogg Speex audio files.

%files -n %bname-speex  
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so

### RAW1394 ###
%package -n %bname-raw1394
Summary:       GStreamer raw1394 Firewire plug-in
Group:         System/Libraries
Requires:      %bname-plugins >= %{version}-%release
BuildRequires: libavc-devel
BuildRequires: libraw1394-devel
BuildRequires: libiec61883-devel

%description -n %bname-raw1394
Plug-in for digital video support using raw1394.

%files -n %bname-raw1394
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so

### FLAC ###
%package -n %bname-flac
Summary:       GStreamer plug-in for FLAC lossless audio
Group:         Sound
Requires:      %bname-plugins >= %{version}-%release
BuildRequires: libflac-devel >= 1.0.4

%description -n %bname-flac
Plug-in for the free FLAC lossless audio format.

%files -n %bname-flac
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so

### ESD ###
%package -n %bname-esound
Summary: Gstreamer plugin for ESD sound output
Group: Sound
Obsoletes:     %bname-esd
Provides:      %bname-esd
Requires: esound >= 0.2.8
BuildRequires: libesound-devel >= 0.2.8
Requires: %bname-plugins >= %{version}-%release
Provides:	%bname-audiosrc
Provides:	%bname-audiosink

%description -n %bname-esound
Output plugin for GStreamer for use with the esound package

%files -n %bname-esound
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstesd.so

### AALIB ###
%package -n %bname-aalib
Summary: Gstreamer plugin for Ascii-art output
Group: Video
BuildRequires: aalib-devel >= 1.3
Requires: %bname-plugins >= %{version}-%release

%description -n %bname-aalib
Plugin for viewing movies in Ascii-art using aalib library.

%files -n %bname-aalib
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so

%package -n %bname-caca
Summary: Gstreamer plugin for Ascii-art output
Group: Video
BuildRequires: libcaca-devel
Requires: %bname-plugins >= %{version}-%release

%description -n %bname-caca
Plugin for viewing movies in Ascii-art using caca library.

%files -n %bname-caca
%defattr(-, root, root)
%_libdir/gstreamer-%majorminor/libgstcacasink.so


%package -n %bname-wavpack
Summary: Gstreamer plugin for encoding and decoding WavPack audio files
Group: Sound
Requires: %bname-plugins = %{version}
BuildRequires: libwavpack-devel

%description -n %bname-wavpack
Plug-Ins for creating and playing WavPack audio files.

%files -n %bname-wavpack
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstwavpack.so



%changelog
* Fri Jun 05 2009 Oden Eriksson <oeriksson@mandriva.com> 0.10.7-3.3mdv2008.1
- P2: security fix for CVE-2009-1932

* Tue Feb 10 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.10.7-3.2mdv2008.1
- P1: security fix for CVE-2009-0397

* Tue Apr 29 2008 Vincent Danen <vdanen@mandriva.com>  0.10.7-3.1mdv2008.1
- P0: security fix for CVE-2008-1686

* Thu Mar 13 2008 Götz Waschk <waschk@mandriva.org> 0.10.7-3mdv2008.1
+ Revision: 187337
- add Mandriva branding

* Mon Mar 10 2008 Frederic Crozat <fcrozat@mandriva.com> 0.10.7-2mdv2008.1
+ Revision: 183328
- Fix conflicts to handle 2008.0 upgrade

* Thu Feb 21 2008 Götz Waschk <waschk@mandriva.org> 0.10.7-1mdv2008.1
+ Revision: 173578
- new version
- update file list

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 20 2007 Olivier Blin <oblin@mandriva.com> 0.10.6-3mdv2008.0
+ Revision: 91471
- remove development doc since we don't ship devel files

* Thu Aug 16 2007 Götz Waschk <waschk@mandriva.org> 0.10.6-2mdv2008.0
+ Revision: 64240
- add experimental plugins

* Wed Jun 20 2007 Götz Waschk <waschk@mandriva.org> 0.10.6-1mdv2008.0
+ Revision: 41845
- new version
- drop patch
- move wavpack plugin here
- update file list

* Wed Jun 06 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.10.5-3mdv2008.0
+ Revision: 36088
- Rebuild with libslang2.


* Sun Apr 01 2007 Frederic Crozat <fcrozat@mandriva.com> 0.10.5-2mdv2007.1
+ Revision: 150132
- Install gconf schemas
- Don't run make check when generating package, broken ATM

* Sat Dec 30 2006 Götz Waschk <waschk@mandriva.org> 0.10.5-1mdv2007.1
+ Revision: 102876
- new version
- rediff the flac patch
- update buildrequires
- reenable checks
- update file list
- add docs
- split out caca to separate package

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-3mdv2007.1
+ Revision: 95054
- Import gstreamer0.10-plugins-good

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-3mdv2007.1
- patch for new flac
- fix for new caca
- add support for checks but don't enable them

* Thu Aug 17 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-2mdv2007.0
- add missing buildrequires (spturtle)

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2007.0
- bump deps
- New release 0.10.4

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10.3-3mdv2007.0
- Rebuild with latest dbus

* Sun Jun 18 2006 Götz Waschk <waschk@mandriva.org> 0.10.3-2mdv2007.0
- add hal module
- fix buildrequires

* Tue May 09 2006 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdk
- update file list
- New release 0.10.3

* Sat Mar 18 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-3mdk
- rebuild for new cdio

* Thu Feb 16 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-2mdk
- fix buildrequires

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdk
- update file list
- bump deps
- New release 0.10.2

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdk
- update file list
- New release 0.10.1

* Thu Dec 29 2005 Götz Waschk <waschk@mandriva.org> 0.10.0-2mdk
- improve description
- fix buildrequires

* Tue Dec 06 2005 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- initial package

